import request from '@/utils/request'

// 查询订单开票记录列表
export function listBillLog(query) {
  return request({
    url: '/bill/billLog/list',
    method: 'get',
    params: query
  })
}

// 查询订单开票记录详细
export function getBillLog(id) {
  return request({
    url: '/bill/billLog/' + id,
    method: 'get'
  })
}

// 新增订单开票记录
export function addBillLog(data) {
  return request({
    url: '/bill/billLog',
    method: 'post',
    data: data
  })
}

// 修改订单开票记录
export function updateBillLog(data) {
  return request({
    url: '/bill/billLog',
    method: 'put',
    data: data
  })
}

// 删除订单开票记录
export function delBillLog(id) {
  return request({
    url: '/bill/billLog/' + id,
    method: 'delete'
  })
}

// 导出订单开票记录
export function exportBillLog(query) {
  return request({
    url: '/bill/billLog/export',
    method: 'get',
    params: query
  })
}